Subject: [Anima] RFC8366bis process

From: Michael Richardson <[email-masked]>
Date: Wed, 29 Sep 2021 14:04:19 -0400

On 2021-07-04 6:13 p.m., Michael Richardson wrote:
> Hi, I have converted RFC8366.xml to Markdown, and switched to the latest MT
> makefile, and after a bit of small massage to remove "8366" from the page,
> and point to RFCs which are published, the result is at:
> 
> https://www.ietf.org/rfcdiff?url1=rfc8366&url2=draft-richardson-anima-rfc8366bis.txt
...
> 
> I propose that the WG adopt this as the -00, and then we change the document
> to change this into an RFC7224-style IANA-maintained YANG module.

I have heard verbally from Toerless that he'd like to have the document 
include more "changes" before the WG adopts it.

I don't know what might involve. I also think that this is wrong 
according to RFC7221.
If the WG has agreed that it needs to do RFC8366bis, then lets do that.

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 30 Sep 2021 08:50:54 +1300

> include more "changes" before the WG adopts it.

That's for the WG to discuss. What are the proposed changes?
 
> If the WG has agreed that it needs to do RFC8366bis, then lets do that.

RFC7221 is Informational, so just guidelines. It's WG consensus that
counts. However, there's no rule about what a "bis" document can or
can't do. (Except that it obviously needs "Obsoletes: 8366".)

Where's the "Changes from RFC8366" section? We need that, for sure.
What differences are there, anyway? I don't see anything significant
in the diffs. So why would we want to adopt it?

What about https://www.rfc-editor.org/errata/rfc8366 ? Why is it still
only "Reported"? It's presumably correct.

   Brian

---

From: Michael Richardson <[email-masked]>
Date: Thu, 30 Sep 2021 13:43:22 -0400

> in the diffs. So why would we want to adopt it?

There are no changes yet
  a) because the WG hasn't adopted it.
  b) the WG hasn't reached consensus on the changes.

If I proposed an individual ID with changes in it, then that would be just my opinion.

That's I think that we should adopt a WG -00 that is near word-for-word
identical copy compared to RFC8366.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 1 Oct 2021 08:39:29 +1300

Michael,
>   a) because the WG hasn't adopted it.

Of course not. It's a -00 individual draft with no interesting content
compared to the RFC.
 
>   b) the WG hasn't reached consensus on the changes.

I have no idea what changes you mean.
 
> If I proposed an individual ID with changes in it, then that would be just my opinion.

Yes. That's how we do it.

> identical copy compared to RFC8366.

That's backwards. Post a draft with some substantive changes to find out if
the WG has any interest in those changes.

   Brian